Package org.opensaml.xacml.ctx.impl

# Class StatusMessageTypeUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.xacml.impl.AbstractXACMLObjectUnmarshaller
org.opensaml.xacml.ctx.impl.StatusMessageTypeUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

public class StatusMessageTypeUnmarshaller extends AbstractXACMLObjectUnmarshaller
Unmarshaller for `StatusMessageType`.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`StatusMessageTypeUnmarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`processElementContent(XMLObject xmlObject, String content)`
Called if the element being unmarshalled contained textual content so that it can be added to the XMLObject.

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processAttribute, processChildElement, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatusMessageTypeUnmarshaller

public StatusMessageTypeUnmarshaller()

## Method Details

### processElementContent

protected void processElementContent(XMLObject xmlObject, String content)
Called if the element being unmarshalled contained textual content so that it can be added to the XMLObject. The default implementation of this method is a no-op

Overrides:
  `processElementContent` in class `AbstractXMLObjectUnmarshaller`
Parameters:
  `xmlObject` - XMLObject the content will be given to
  `content` - the Element's content